- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends

# MGeometryRequirements Class Reference

# OpenMayaRender - API module for rendering

This reference page is linked to from the following overview topics: Data Classes.

Search for all occurrences

## Detailed Description

Image manipulation.

MGeometryRequirements stores the collection of MGeometryRequirementsData arrays which describe a Maya surface, including per-component data such as UV mapping and colour.

Examples:

  D3DGeometryItem.cpp, hlslShader.cpp, and OpenGLViewportRenderer.cpp.

`#include <MGeometryRequirements.h>`

List of all members.

## Public Member Functions
| MGeometryRequirements ()
| Default constructor.
| ~MGeometryRequirements ()
| Destructor.
void | addPosition ()
| Add position to the set of required elements. Search for all occurrences
void | addComponentId ()
| Add component id to the set of required elements. Search for all occurrences
void | addNormal ()
| Add normal to the set of required elements.
void | addTexCoord (const MString &uvSetName)
| Add a texture coordinate set to the list of required elements.
void | addTangent (const MString &uvSetName)
| Add a tangent set to the list of required elements.
void | addBinormal (const MString &uvSetName)
| Add a binormal set to the list of required elements.
void | addColor (const MString &colorSetName)
| Add a color set to the list of required elements.
void | addFaceOffsets ()
| Add face offsets to the set of required elements.
## Friends Search for all occurrences
class | MGeometryManager Search for all occurrences
class | MPxHardwareShader Search for all occurrences

## Constructor & Destructor Documentation

MGeometryRequirements | ( |  | ) |

Default constructor.

Initialized to no requirements.

## Member Function Documentation

void addTexCoord | ( | const MString & | name | ) |

Search for all occurrences

Add a texture coordinate set to the list of required elements.

Parameters:

  [in] | name | the name of the uv set to add

Examples:
  D3DGeometryItem.cpp, hlslShader.cpp, and OpenGLViewportRenderer.cpp.

void addTangent | ( | const MString & | name | ) |

Search for all occurrences

Add a tangent set to the list of required elements.

Parameters:

  [in] | name | the name of the uv set to add tangent data for

Examples:
  D3DGeometryItem.cpp, and OpenGLViewportRenderer.cpp.

void addBinormal | ( | const MString & | name | ) |

Search for all occurrences

Add a binormal set to the list of required elements.

Parameters:

  [in] | name | the name of the uv set to add binormal data for

Examples:
  D3DGeometryItem.cpp, and OpenGLViewportRenderer.cpp.

void addColor | ( | const MString & | name | ) |

Search for all occurrences

Add a color set to the list of required elements.

Parameters:

  [in] | name | the name of the color set to add

Examples:
  D3DGeometryItem.cpp, hlslShader.cpp, and OpenGLViewportRenderer.cpp.

void addFaceOffsets | ( |  | ) |

Search for all occurrences

Add face offsets to the set of required elements.

Face offsets are used internally to calculate component-indexed data such as shading group membership. Note that geometry data is cached internally, so it is important to call this method whenever you use MGeometryRequirements if you will ever require this information.

MGeometryRequirements MGeometryRequirements MGeometryRequirements MGeometryRequirements MGeometryRequirements MGeometryRequirements MGeometryRequirements MGeometryRequirements MGeometryRequirements MGeometryRequirements
MGeometryRequirements MGeometryRequirements MGeometryRequirements MGeometryRequirements MGeometryRequirements MGeometryRequirements MGeometryRequirements MGeometryRequirements MGeometryRequirements MGeometryRequirements